Pagina 1 di 2

[Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 13:46
da qop
Salve a tutti.

Oggi ho riscontrato un nuovo problema, questa volta durante l' aggiornamento ^^

Ho eseguito il comando pacman -Syu come sempre, ma mi ha fornito questo output:

Codice: Seleziona tutto

:: Sincronizzazione dei database in corso...
 core è aggiornato
 extra                   1430.5 KiB   295K/s 00:05 [######################] 100%
 community               1947.1 KiB   328K/s 00:06 [######################] 100%
:: Aggiornamento del sistema in corso...
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (51): apache-2.2.24-3  bash-4.2.045-4  cdrkit-1.1.11-3
                cheese-3.8.2-2  clutter-gst-2.0.4-2  coreutils-8.21-2
                cryptsetup-1.6.1-2  device-mapper-2.02.98-4  dhcpcd-5.6.8-3
                e2fsprogs-1.42.7-2  filesystem-2013.05-2  fuse-2.9.2-3
                gcc-4.8.1-1  gcc-libs-4.8.1-1  gconf-3.2.6-2  gdm-3.8.1.1-2
                giflib-4.2.1-2  glibc-2.17-6  inetutils-1.9.1-6
                iproute2-3.9.0-2  iptables-1.4.19.1-1  iw-3.10-2  kmod-13-2
                libatasmart-0.19-2  libgdm-3.8.1.1-2  libltdl-2.4.2-9
                libmbim-1.0.0-1  libogg-1.3.1-1  libsasl-2.1.26-4
                libtool-2.4.2-9  lvm2-2.02.98-4  modemmanager-0.7.990-5
                net-tools-1.60.20130531git-1  networkmanager-0.9.8.0-4
                nilfs-utils-2.1.5-2  openresolv-3.5.4-3  pm-utils-1.4.1-6
                ppp-2.4.5-6  rtmpdump-20121203-2  sed-4.2.2-3  shadow-4.1.5.1-6
                systemd-204-3  systemd-sysvcompat-204-3  sysvinit-tools-2.88-11
                tar-1.26-4  udisks2-2.1.0-3  usbmuxd-1.0.8-2
                util-linux-2.23.1-2  v4l-utils-0.9.5-2  wpa_supplicant-2.0-4
                zvbi-0.2.33-6

Dimensione totale dei pacchetti da scaricare:    6.82 MiB
Dimensione totale dei pacchetti da installare:   230.89 MiB
Dimensione netta dell'aggiornamento:             -3.01 MiB

:: Vuoi procedere con l'installazione? [S/n] 
:: Download dei pacchetti in corso...
 apache-2.2.24-3-x86_64   925.1 KiB   175K/s 00:05 [######################] 100%
 cdrkit-1.1.11-3-x86_64   596.1 KiB   339K/s 00:02 [######################] 100%
 fuse-2.9.2-3-x86_64      143.0 KiB   153K/s 00:01 [######################] 100%
 gconf-3.2.6-2-x86_64     914.7 KiB   260K/s 00:04 [######################] 100%
 libgdm-3.8.1.1-2-x86_64   52.0 KiB   188K/s 00:00 [######################] 100%
 gdm-3.8.1.1-2-x86_64     959.5 KiB   159K/s 00:06 [######################] 100%
 libatasmart-0.19-2-...    26.6 KiB   985K/s 00:00 [######################] 100%
 libmbim-1.0.0-1-x86_64    57.5 KiB   103K/s 00:01 [######################] 100%
 modemmanager-0.7.99...   590.2 KiB   229K/s 00:03 [######################] 100%
 networkmanager-0.9....  1270.7 KiB   321K/s 00:04 [######################] 100%
 pm-utils-1.4.1-6-x86_64   41.2 KiB  23.7K/s 00:02 [######################] 100%
 rtmpdump-20121203-2...   104.1 KiB   129K/s 00:01 [######################] 100%
 udisks2-2.1.0-3-x86_64   518.5 KiB   232K/s 00:02 [######################] 100%
 usbmuxd-1.0.8-2-x86_64    34.2 KiB  48.1K/s 00:01 [######################] 100%
 v4l-utils-0.9.5-2-x...   470.0 KiB   178K/s 00:03 [######################] 100%
 zvbi-0.2.33-6-x86_64     282.3 KiB   217K/s 00:01 [######################] 100%
(51/51) verifica delle chiavi presenti nel por...  [######################] 100%
(51/51) verifica dell'integrità dei pacchetti      [######################] 100%
(51/51) caricamento dei file dei pacchetti         [######################] 100%
(51/51) controllo dei conflitti in corso           [######################] 100%
errore: impossibile eseguire l'operazione richiesta (file in conflitto)
filesystem: /bin è già presente nel filesystem
filesystem: /sbin è già presente nel filesystem
filesystem: /usr/sbin è già presente nel filesystem
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
Qualcuno sa come posso risolvere? Grazie in anticipo.

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 14:07
da francesco_dem
Mi associo alla richiesta, stesso problema

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 14:14
da francesco_dem
ho risolto con questo comando:
pacman -Syu --ignore filesystem && pacman -S filesystem --force
Mi è rimasto solo questo probleman:

Pacchetti (1): filesystem-2013.05-2

Dimensione totale dei pacchetti da installare: 0,01 MiB
Dimensione netta dell'aggiornamento: -0,30 MiB

:: Vuoi procedere con l'installazione? [S/n] s
(1/1) verifica delle chiavi presenti nel porta... [######################] 100%
(1/1) verifica dell'integrità dei pacchetti [######################] 100%
(1/1) caricamento dei file dei pacchetti [######################] 100%
(1/1) controllo dei conflitti in corso [######################] 100%
errore: impossibile eseguire l'operazione richiesta (file in conflitto)
filesystem: /usr/sbin è già presente nel filesystem
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 14:22
da qop
Non sono un amante del comando 'force', se ci fosse un altra soluzione per risolvere il problema sarebbe gradita ^^

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 14:24
da francesco_dem
Non lo fare, speravo di accorgemene prima.
ecco un nuovo errore
francesco@francescopc ~]$ su
Password:
su: failed to execute /bin/bash: File o directory non esistente

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 14:41
da francesco_dem
Non riesco più ad accedere ad Arch
Ho dato questo comando per eseguire l'aggiornamento: pacman -Syu --ignore filesystem && pacman -S filesystem --force
Dopo ciò mi si è presentato questo problema: failed to execute /bin/bash: File o directory non esistente
Adesso non riesco più ad accedere al sistema operativo...aiuto!!

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 14:45
da qop
Eh infatti il comando force fa parecchi danni, bisogna sempre evitare di farlo, ho visto molti miei amici incasinare il proprio sistema facendo così.

Premettendo che non mi è mai capitato il tuo problema, prova a dare un occhiata qui, magari ti è di aiuto: http://ilpennuto.wordpress.com/2012/07/ ... ilesystem/

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 14:50
da blake
ma intanto si puo fare solamente ignorando il fylesystem no?

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 15:06
da djk
ehm... prima di fare aggiornamenti cospicui/problematici (come filesystem) sarebbe meglio dare un'occhiata alla home internazionale...leggete...

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 15:13
da francesco_dem
djk ha scritto:ehm... prima di fare aggiornamenti cospicui/problematici (come filesystem) sarebbe meglio dare un'occhiata alla home internazionale...leggete...
Ma con questa procedura posso risolvere il mio problema: failed to execute /bin/bash: File o directory non esistente

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 15:21
da qop
Grazie djk, ho risolto il mio problema con l'aggiornamento ^^

Re: Errore durante aggiornamento

Inviato: 3 giugno 2013, 15:27
da djk
francesco_dem ha scritto:
djk ha scritto:ehm... prima di fare aggiornamenti cospicui/problematici (come filesystem) sarebbe meglio dare un'occhiata alla home internazionale...leggete...
Ma con questa procedura posso risolvere il mio problema: failed to execute /bin/bash: File o directory non esistente
che dire dovrebbe (se non incappi in qualche altro problema prima...) ora bash sta in /usr/bin/bash il tuo non è più quel caso ma un ibrido... suppongo non ti rimane che provare...

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 15:32
da giupino
la home page italiana ancora non porta la notizia.... immagino siamo incappati in una finestra tra annuncio e traduzione... sarebbe comodo sincronizzare le news al volo (mettengola in inglese) durante l'attesa della traduzione... non credete?

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 15:57
da superlex
Quando incontrate qualche problema del genere, non agite mai di testa vostra ma aspettate, cercate, chiedete.
Io ho fatto lo stesso e infatti sono arrivato qua :)

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 18:05
da blake
io ho ancora un problema allora io ho montato su virtualbox arch linux e con il pc acceso e quello aperto e quindi la memoria cpu un po va lento per via della pesantezza dei due programmi aperti stavo svolgendo qui comandi per avviare l'aggiornamento poi siccome la cpu non ce la faceva a caricare si era bloccato e ho dovuto riavviare la macchina ora pero quando riaccendo arch linux mi dice che non riesce a caricare tty e non va avanti non sono riuscito ad installare il bash e a fargli fare tutto l'aggiornamento come posso farlo partire come si deve?

l'errore di avvio che mi da è il seguente:

Codice: Seleziona tutto

root device mounted successfully, but /sbin/init does not exist bailing out ,you are on your own. good luck

sh: can't access tty; job control turned off

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 18:41
da kens
Aspetterò con pazienza che la situazione si chiarisca un po'; dando infatti i comandi elencati nel forum internazionale:
https://www.archlinux.org/news/binaries ... ervention/

Codice: Seleziona tutto

$ pacman -Qqo /bin /sbin /usr/sbin | pacman -Qm -
$ paclist <repo> | awk ' { print $1 } ' | pacman -Ql - | grep ' /s\?bin/\| /usr/sbin/'
$ find /bin /sbin /usr/sbin -exec pacman -Qo -- {} + >/dev/null
l'output rimane desolatamente vuoto (e mi pare strano...). Sono io che non ho capito? :oops:
Altra domanda: per i packages installati da AUR c'è qualcosa in più da fare? :wink:

Grazie

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 19:12
da narco
kens ha scritto:Aspetterò con pazienza che la situazione si chiarisca un po'; dando infatti i comandi elencati nel forum internazionale:
https://www.archlinux.org/news/binaries ... ervention/

Codice: Seleziona tutto

$ pacman -Qqo /bin /sbin /usr/sbin | pacman -Qm -
$ paclist <repo> | awk ' { print $1 } ' | pacman -Ql - | grep ' /s\?bin/\| /usr/sbin/'
$ find /bin /sbin /usr/sbin -exec pacman -Qo -- {} + >/dev/null
l'output rimane desolatamente vuoto (e mi pare strano...). Sono io che non ho capito? :oops:
Altra domanda: per i packages installati da AUR c'è qualcosa in più da fare? :wink:

Grazie
se l'output di

Codice: Seleziona tutto

 pacman -Qqo /bin /sbin /usr/sbin | pacman -Qm -
è vuoto significa che non hai nessun pacchetto non ufficiale che ha file binari in quelle cartelle, io ne ho avevo due (non importanti in realtà, che ho direttamente disinstallato, mi ero anche dimenticato di averli). Il secondo comando solo se hai repo esterni, sostituisci <repo> con il tuo repo e controlla, io non ho repo esterni e quindi niente, il terzo controlla che ci siano file sempre in quelle cartelle che non appartengono a nessun pacchetto e quindi nessun output è risultato buono e augurato, questo:

Codice: Seleziona tutto

4) Ensure all partitions are mounted if using autofs. They may not automount when needed later in this update.
non l'ho capito sinceramente ma non usando autofs e cioè: https://wiki.archlinux.org/index.php/Autofs_(Italiano sono andato direttamente all'aggiornamento:
quindi --->

# pacman -Syu --ignore filesystem,bash
# pacman -S bash
# pacman -Su

rigorosamente in questo ordine :)

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 19:37
da blake
scusate ma il mio pc non si riaccende nessuno che mi dia una mano

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 19:51
da kens
Ok, narco e grazie della pazienza :wink: Avevo immaginato qualcosa del genere ma la risposta di "un'altra testa" è più confortante ;)
Sull'ultimo comando, però, c'è un "impuntamento"; se dopo aver dato i primi due (andati a buon fine) continuo col terzo ottengo:

Codice: Seleziona tutto

[nicola@k6_400 ~]$ sudo pacman -Su
:: Aggiornamento del sistema in corso...
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (1): filesystem-2013.05-2

Dimensione totale dei pacchetti da installare:   0,01 MiB
Dimensione netta dell'aggiornamento:             -0,30 MiB

:: Vuoi procedere con l'installazione? [S/n] 
(1/1) verifica delle chiavi presenti nel portachiavi                        [###########################################] 100%
(1/1) verifica dell'integrità dei pacchetti                                 [###########################################] 100%
(1/1) caricamento dei file dei pacchetti                                    [###########################################] 100%
(1/1) controllo dei conflitti in corso                                      [###########################################] 100%
errore: impossibile eseguire l'operazione richiesta (file in conflitto)
filesystem: /usr/sbin è già presente nel filesystem
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
in effetti:

Codice: Seleziona tutto

[nicola@k6_400 ~]$ ls -l /usr/sbin
totale 236
-rwxr-xr-x 1 root root 197152 25 feb 17.31 extlinux
-rwxr-xr-x 1 root root  10488  9 apr 10.16 mate-display-properties-install-systemwide
-rwxr-xr-x 1 root root  10544  3 apr 19.51 mate-power-backlight-helper
-rwxr-xr-x 1 root root  13666 25 feb 17.31 syslinux-install_update
Uhmm... eppure avevo messo "mate" come repo "non ufficiale".
Dal basso della mia ignoranza :wink: giudicherei la cosa non bloccante (dando un "pacman -Q" per ciascuno dei 4 item non ottengo nessuna stringa in risposta).
Riavvio?

--

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 19:58
da francesco_dem
blake ha scritto:scusate ma il mio pc non si riaccende nessuno che mi dia una mano

anche il mio...aiutateci! :(

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 20:03
da kens
francesco_dem ha scritto:
blake ha scritto:scusate ma il mio pc non si riaccende nessuno che mi dia una mano

anche il mio...aiutateci! :(
Perdona l'ardire, Francesco... sicuro che il pc sia alimentato? :mrgreen:
Scherzi a parte, davvero non si accende? Oppure il boot si pianta ad un certo punto? Se è giusta la seconda... qual'è il punto? Quali sono gli ultimi messaggi visualizzati durante l'avvio?

--

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 20:21
da blake
Io lo gia postato dove si ferma il boot

Codice: Seleziona tutto

root device mounted successfully, but /sbin/init does not exist bailing out ,you are on your own. good luck

sh: can't access tty; job control turned off

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 20:22
da francesco_dem
[/quote]
Perdona l'ardire, Francesco... sicuro che il pc sia alimentato? :mrgreen:
--[/quote]
:shock: non si avvia!!!

quest era l'errore prima che lo spegnessi :
francesco@francescopc ~]$ su
Password:
su: failed to execute /bin/bash: File o directory non esistente

Al riavvio invece ho il seguente messaggio di errore:
root device mounted successfully, but /sbin/init does not exist bailing out ,you are on your own. good luck

sh: can't access tty; job control turned off

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 20:24
da Hilinus
L'argomento è già stato discusso più volte: effettua una breve ricerca.

Re: [Risolto] Errore durante aggiornamento

Inviato: 3 giugno 2013, 20:30
da blake
grazie hillinus